Bug 1012968 - appclient.bat hangs after application is stopped
appclient.bat hangs after application is stopped
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Application Client (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: EAP 6.2.0
Assigned To: Stuart Douglas
Russell Dickenson
: Regression
Depends On:
Blocks: eap62-beta-blockers
  Show dependency treegraph
 
Reported: 2013-09-27 09:17 EDT by Petr Sakař
Modified: 2014-06-18 03:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jaxws-samples-serviceref-appclient.ear (4.84 KB, application/zip)
2013-09-27 09:17 EDT, Petr Sakař
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2181 Major Resolved TempFileProviderService creates a static, non-daemon thread pool 2016-09-16 05:30 EDT

  None (edit)
Description Petr Sakař 2013-09-27 09:17:36 EDT
Created attachment 803964 [details]
jaxws-samples-serviceref-appclient.ear

Description of problem:
appclient.bat hangs after server server stop

Version-Release number of selected component (if applicable):
6.2.0.ER3

How reproducible:
always on windows platform

Steps to Reproduce:
1.run from command line appclient.bat jaxws-samples-serviceref-appclient.ear#jaxws-samples-serviceref-appclient.jar


Actual results:
program hangs with last line stating JBossEAP stopped


Expected results:
program terminates and returns to command line


Additional info:
was working in 6.2.0.ER2.
Comment 1 Petr Sakař 2013-09-27 09:43:41 EDT
Clarification notes: 
1. issue is that the application do not terminate even if it announced in console and log file that it stopped (eg. 10:05:45,900 INFO  [org.jboss.as] (MSC service thread 1-5) JBAS015950: JBoss EAP 6.2.0.Beta1 (AS 7.3.0.Final-redhat-6) stopped in 19ms)
2. issue is present even when the appclient do not issue any warnings / errors - verified the described procedure fails for ER3 and succeds for ER2
Comment 2 Brian Stansberry 2013-09-27 15:31:12 EDT
If you can get thread dump data from all running java processes that would be most helpful.
Comment 4 Petr Kremensky 2013-09-30 06:20:18 EDT
I was able to hit this also on linux during scripts testing (FYI).
Comment 5 JBoss JIRA Server 2013-10-01 09:52:08 EDT
Stuart Douglas <stuart.w.douglas@gmail.com> updated the status of jira WFLY-2181 to Resolved
Comment 6 Petr Kremensky 2013-10-04 07:36:22 EDT
Verified on EAP 6.2.0.ER4

Note You need to log in before you can comment on or make changes to this bug.